#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_msix_alloc, "", "");
KSYMTAB_FUNC(mlx5_msix_free, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0xaf25eb10, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0xa8cca90b, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x503f5cbb, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x3cb0407a, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x790a3c6e, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x529fccbd, "");
SYMBOL_CRC(mlx5_cmd_check, 0x394a9080, "");
SYMBOL_CRC(mlx5_cmd_do, 0x3ce67673, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x35b9dffd, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0xdcad65a9, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x4528e973, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x2f1ca5f8, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x00ec3bb0, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x47bc8e84, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x012a35f2, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0xaa71f921, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x7944fa9c, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x4cdeb54a, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0xd3de3b40, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x3480de79, "");
SYMBOL_CRC(mlx5_eq_enable, 0x8a3eb471, "");
SYMBOL_CRC(mlx5_eq_disable, 0x4a797573, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x3c79c0aa, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0xc28cb76d, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x9d0d9c1a, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x6a46d1a0, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x05cf5158, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0xe411ec0a, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0xa342d0b8, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x70b9b598, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0xc7ec8229, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x39aba054, "");
SYMBOL_CRC(mlx5_put_uars_page, 0xc30f89e9, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xccd76ac0, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x173e366a, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0xafd8db8f, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0xc06fca37, "");
SYMBOL_CRC(mlx5_create_cq, 0x6e6c278e, "");
SYMBOL_CRC(mlx5_core_create_cq, 0xe96ef547, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x8bca8249, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x928b71b2, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0xff63aca4, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x078b15a5, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0xf5b96163, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0xd29d375c, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0xd080046b, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0xd2b25904, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0xa76bb001, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0xb42f68b4, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x0eae7014, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0xa1e3b9c4, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x4afe11cd, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0xff0a26be, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x8321c48e, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x006479b5, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x4825f823, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0x8a672a00, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0xc0221284, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x402b3b40, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x201a6e4a, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x3dbf3840, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0xb4827d03, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0xd6e575e6, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0xf8bd1599, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0xebadf1db, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x3c1ed7bb, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x4dcd518a, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x6b14c7d7, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0xd754cde8, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0xe50b492b, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x764c56e8, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0xcd3c6d52, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0xd73f6700, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x681c2252, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xa99cbaee, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x56d76d55, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x71ccc972, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x9ab173be, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x06a49466, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x8363402f, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0xa81cf1cf, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x8585494d, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0xc0dde7bf, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x7996b75a, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0xd914c75b, "");
SYMBOL_CRC(mlx5_core_create_rq, 0xf15c2e12, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x196565bf, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xe5da9d26, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x9ac2bfa0, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x95894aea, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x162e90f5, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x8c039d5d, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x192ee8dd, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xaddfe7c6, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x02a3a189, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xc2593cb2, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xa3d5dc7d, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0xe05d9012, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0xc867081c, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0xece625fd, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x2112e777, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x1ae3934c, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xa4d11d04, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0xb1dbeb6a, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0xdad5fa6a, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x856c75b3, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x285c6547, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x86763814, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0xa4a21f90, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x4b934ae9, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x64a2beb0, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x79c9931c, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0xe3f91c82, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x08b42820, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xdd3bfb9b, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xea43cbfa, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x935f298b, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x8c57f1cc, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x9b5027a9, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x2de1916b, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0xc1805691, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xceb959da, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x4439390b, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x7d546ce8, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x24ee076a, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x552bb24c, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xf4122b84, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x3a35fa39, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x4676f89b, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0xf1006790, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0xaad729ff, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x43764d59, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xc8737e65, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xc29afe01, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x7cb452c2, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x7deb6ac6, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0xd61d9293, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x8b8879e3, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0x51371a99, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x04641715, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x4e460428, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x3c4b1b70, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x115c2e19, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x685bd1d7, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x247d546f, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0xea013fed, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0xd928a0a4, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0xdbd28d57, "");
SYMBOL_CRC(mlx5_msix_alloc, 0x39e7ab0a, "");
SYMBOL_CRC(mlx5_msix_free, 0xe229df6e, "");
SYMBOL_CRC(mlx5_fc_create, 0x32b5ef51, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0xebda065e, "");
SYMBOL_CRC(mlx5_fc_query, 0x15548dce, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x83fb7171, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x6f7f483b, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x33df9ca4, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0xafc480a4, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x86587644, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0xd7128173, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x0e8cfebb, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x43cd7a12, "");
SYMBOL_CRC(mlx5_lag_is_active, 0xc0c20bb0, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x727fdc46, "");
SYMBOL_CRC(mlx5_lag_is_master, 0xa941cba6, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x6971ec1c, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x230a34ee, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0xb9d2368d, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0xa5dc996a, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x457bc1a6, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0xc1964305, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x69b6670a, "");
SYMBOL_CRC(mlx5_notifier_register, 0xd36c2000, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x87c97587, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0xedee00c6, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x21071b05, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x91c48580, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x7f692ea1, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x4e8a60b3, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0xb62d2093, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x1e38486c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x63f5a6fa, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xb72cffaf, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xb5ec5a13, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x7fd709fe, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0xaf335351, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xd6c3be3d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0x7bbc902c, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xbb475e47, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xb7e3cb57, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x22bce683, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0xb3194052, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0x872e7c67, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x45d0a6f4, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x32fc77d1, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x33eb29aa, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0xe4e09c2b, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x4f1f4d6e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0xf8127b32, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0xfaec4747, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0xba03baf6, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0xeda3ba02, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x6e70c064, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0xac0e6e79, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x1a8a695b, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x12f14914, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x182fd486, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x4fd33b78, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x2b10745f, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0xac4a9c68, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x37c852e0, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x09c8cd3d, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0xb82b8ffc, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x141d72c9, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x4abc1854, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xd80f3366, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xfeea7d38, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x1b2176f1, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0xa1b69dfe, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x409df1e8, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0xedf9c4b5, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x3d890888, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0xd1c7256b, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0xd1528f41, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x64fade05, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x37897e7f, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x54acd638, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x46bf86fb, "__inet_lookup_established" },
	{ 0xbc57c3b8, "xsk_tx_completed" },
	{ 0xe90d9480, "napi_alloc_skb" },
	{ 0xe8efc60b, "alloc_etherdev_mqs" },
	{ 0x2dc3f100, "netdev_lower_get_next" },
	{ 0xf06d670d, "secpath_set" },
	{ 0xe4f5eb13, "flow_block_cb_lookup" },
	{ 0x2b2cb44, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf7e37813, "devl_rate_leaf_create" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x7c9a5f0, "xp_alloc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x39b82b1f, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdabc9623, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x4f36af66, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xa06e587a, "release_firmware" },
	{ 0x2c3f760, "bpf_prog_put" },
	{ 0xc61469a3, "page_pool_get_stats" },
	{ 0xb1e8126c, "down_timeout" },
	{ 0x722a3f55, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x70a9d58a, "pci_cfg_access_unlock" },
	{ 0xa8d9ffc4, "xp_dma_map" },
	{ 0x46129ddf, "bpf_trace_run4" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0xa3f72c23, "devlink_unregister" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x523e1f9, "skb_copy_bits" },
	{ 0x4180e296, "debugfs_attr_write" },
	{ 0x122c217e, "dma_pool_create" },
	{ 0x10c9e48b, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0xafb3f269, "pci_msix_vec_count" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x7a22ba13, "pci_enable_device" },
	{ 0xcbbc9eb, "skb_put" },
	{ 0xde1c2c23, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xdfdacc56, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x5f2b87c3, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x15c8fb35, "register_fib_notifier" },
	{ 0x943e3f2f, "auxiliary_device_init" },
	{ 0xc420c035, "ip6_dst_hoplimit" },
	{ 0x844364d6, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x9bf3059b, "flow_rule_match_enc_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xac5a789c, "trace_seq_printf" },
	{ 0x7afb200f, "pci_alloc_irq_vectors" },
	{ 0x4669d30f, "netif_napi_add_weight" },
	{ 0xe926e56a, "pci_enable_atomic_ops_to_root" },
	{ 0x1f970f31, "seq_release" },
	{ 0xef7250bc, "dev_add_pack" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x24ed7774, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xfb7f54cf, "xsk_clear_tx_need_wakeup" },
	{ 0x830bd628, "udp4_hwcsum" },
	{ 0xe254f4f8, "xa_get_mark" },
	{ 0xf899dcb, "devl_lock" },
	{ 0x7819aea9, "__kmalloc_node" },
	{ 0xea57527, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x4fdabc04, "ndo_dflt_bridge_getlink" },
	{ 0xaa5afc8d, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xc1bab1d5, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0x7412feb2, "flow_rule_match_tcp" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x17067d4a, "register_netdevice_notifier_dev_net" },
	{ 0xe7dbd96, "dma_unmap_page_attrs" },
	{ 0x9506ee7f, "trace_event_printf" },
	{ 0x9a37c00b, "devlink_health_reporter_create" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x46d63c9c, "flow_rule_match_cvlan" },
	{ 0xa31d1dea, "__xa_erase" },
	{ 0xce5ffd5e, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd566933c, "up" },
	{ 0x67e2272e, "refcount_dec_and_mutex_lock" },
	{ 0x44dd07a, "xdp_rxq_info_unused" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x276e552b, "pci_num_vf" },
	{ 0x1563606b, "debugfs_create_atomic_t" },
	{ 0xa8006e75, "flow_rule_match_eth_addrs" },
	{ 0xebf42d95, "skb_add_rx_frag" },
	{ 0xc9461e3d, "xfrm_state_check_expire" },
	{ 0x210a32e3, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc55c3f83, "ptp_clock_index" },
	{ 0x4fc105df, "pci_request_regions" },
	{ 0xe763f187, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x140e9d41, "trace_event_raw_init" },
	{ 0x5eefcb5d, "flow_block_cb_free" },
	{ 0x36289474, "devl_port_fn_devlink_set" },
	{ 0x236c8c64, "memcpy" },
	{ 0xae0e8ba1, "xp_can_alloc" },
	{ 0xaac6de40, "psample_sample_packet" },
	{ 0xa8fdc32a, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xc903dc2f, "devlink_alloc_ns" },
	{ 0x707c47bf, "devl_rate_leaf_destroy" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x9893c983, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa3815dcb, "devlink_register" },
	{ 0x883e970b, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0xc158d1b, "seq_lseek" },
	{ 0x7963e630, "page_pool_destroy" },
	{ 0x3db39792, "xdp_do_redirect" },
	{ 0xcce2a456, "devlink_free" },
	{ 0xdc717cc5, "tls_get_record" },
	{ 0x44a6e90a, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9bec882a, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x1f0535f1, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x4b0f6a58, "udp_tunnel_nic_ops" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4d48efd2, "devl_rate_nodes_destroy" },
	{ 0xcc8be8b6, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x2eeb01ab, "pci_irq_vector" },
	{ 0x1b4ea1df, "flow_rule_match_ipv4_addrs" },
	{ 0x3d825f1c, "ip_route_output_flow" },
	{ 0x8857067d, "__netif_napi_del" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0x50857ea7, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xe52dad9a, "__dynamic_dev_dbg" },
	{ 0x22439ba2, "sched_numa_hop_mask" },
	{ 0x9b5a69be, "sock_gen_put" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0x38d70f, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb928aa45, "netdev_rss_key_fill" },
	{ 0x909fda42, "blocking_notifier_chain_register" },
	{ 0xd3449d01, "netdev_err" },
	{ 0x981fb029, "pci_cfg_access_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x442871ff, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x7220fa5c, "dev_driver_string" },
	{ 0x736523e5, "netdev_port_same_parent_id" },
	{ 0x2ff4d66a, "trace_event_buffer_commit" },
	{ 0x4e08fccf, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8794f35e, "ptp_find_pin" },
	{ 0x8a6f4621, "eth_type_trans" },
	{ 0x9fef936c, "pci_read_config_dword" },
	{ 0xde90b0fd, "request_firmware_direct" },
	{ 0x2b1d6920, "flow_rule_match_icmp" },
	{ 0x9db29924, "auxiliary_driver_unregister" },
	{ 0x9f49a20, "dma_map_page_attrs" },
	{ 0x9ec054d5, "trace_seq_putc" },
	{ 0xf4d35021, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8aff6f00, "devlink_port_attrs_pci_vf_set" },
	{ 0x5f543519, "priv_to_devlink" },
	{ 0x1eec1238, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x4a688920, "vlan_dev_vlan_proto" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xa4c88fb4, "put_device" },
	{ 0x6a29a57e, "trace_event_ignore_this_pid" },
	{ 0x7f52071a, "net_dim" },
	{ 0xab2a3735, "__napi_schedule" },
	{ 0xc723138c, "devlink_port_health_reporter_create" },
	{ 0xac23adc6, "pcie_relaxed_ordering_enabled" },
	{ 0xda68dad3, "xsk_set_rx_need_wakeup" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x45bd06d1, "kmalloc_node_trace" },
	{ 0x41abc6f, "devlink_port_attrs_pci_pf_set" },
	{ 0x4c2657d9, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xde9aefb8, "netif_device_detach" },
	{ 0x63ee20e7, "__free_pages" },
	{ 0x2f41780e, "kmem_cache_alloc" },
	{ 0x7fb28826, "_dev_info" },
	{ 0x955efff9, "skb_vlan_pop" },
	{ 0xee5dc6e6, "napi_gro_receive" },
	{ 0x3b66f38e, "netif_device_attach" },
	{ 0xa875804c, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x5f681209, "netdev_pick_tx" },
	{ 0x11080779, "flow_indr_dev_unregister" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x41198189, "xp_raw_get_dma" },
	{ 0x7f445d68, "eth_get_headlen" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x651137ff, "xdp_rxq_info_is_reg" },
	{ 0x34b57234, "flow_rule_match_enc_opts" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xc2c5802, "work_busy" },
	{ 0x9a89394a, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x84b210e4, "free_fib_info" },
	{ 0xb0f60b40, "devl_health_reporter_create" },
	{ 0xc0f7b87a, "flow_block_cb_setup_simple" },
	{ 0x800473f, "__cond_resched" },
	{ 0x1138a9ef, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x5d3bdbab, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x923da41, "unregister_netdevice_notifier_dev_net" },
	{ 0x6be4f239, "pci_find_capability" },
	{ 0xb9509992, "build_skb" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x80629fdb, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc91da686, "debugfs_attr_read" },
	{ 0x7732159c, "free_irq_cpu_rmap" },
	{ 0xa101145e, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0xf0c71866, "vlan_dev_real_dev" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x30e858d1, "__dma_sync_single_for_cpu" },
	{ 0x48caa99e, "pci_msix_free_irq" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe273d75d, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x89fe3a8d, "__dev_get_by_index" },
	{ 0x173c0fda, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0xc78dfefd, "__irq_apply_affinity_hint" },
	{ 0xe095769d, "devlink_port_unregister" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xf649b35f, "dev_get_port_parent_id" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xe4efc4ea, "_dev_err" },
	{ 0x169d89b6, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0xd329d018, "softnet_data" },
	{ 0x1552828, "ipv6_stub" },
	{ 0x4883222c, "simple_open" },
	{ 0xc512473e, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd2e79416, "cpu_bit_bitmap" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xf74393bc, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x91997f98, "simple_attr_release" },
	{ 0x4be3c692, "ptp_clock_register" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xbdaafc5b, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xcaa2891, "xsk_tx_peek_desc" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2302e839, "__traceiter_xdp_exception" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x3954c35, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x9367b5d4, "sk_skb_reason_drop" },
	{ 0x4139c8ed, "__auxiliary_device_add" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xb871beeb, "irq_get_irq_data" },
	{ 0x5a6308f8, "dev_remove_pack" },
	{ 0x2d62dea7, "netif_set_real_num_rx_queues" },
	{ 0x81b433f2, "down" },
	{ 0x5f4d4c0b, "dev_get_by_index" },
	{ 0xb4f89cdd, "bpf_trace_run5" },
	{ 0xf940a48b, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x95d62cb2, "skb_store_bits" },
	{ 0xab831180, "devl_port_register_with_ops" },
	{ 0x4ed570e0, "dev_get_by_index_rcu" },
	{ 0x423bd202, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0x18143ee4, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x2ad26776, "pcie_capability_clear_and_set_word_locked" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x87d15b0b, "skb_push" },
	{ 0x1adf11b1, "kmem_cache_free" },
	{ 0xcbaeca4b, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x7ea89106, "debugfs_remove" },
	{ 0x4004464a, "pci_read_config_word" },
	{ 0x84126d8f, "napi_enable" },
	{ 0x85abc85f, "strncmp" },
	{ 0x20b0b261, "xsk_clear_rx_need_wakeup" },
	{ 0xa90e2baa, "unregister_netdevice_notifier_net" },
	{ 0x9e7dfd9c, "xsk_uses_need_wakeup" },
	{ 0x241a3442, "register_netdev" },
	{ 0x6671748, "unregister_fib_notifier" },
	{ 0x4cf8c827, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x542ba73a, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x72272765, "debugfs_create_u64" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x84428e39, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0xb2e0fcb6, "debugfs_create_size_t" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xe7853243, "devl_params_register" },
	{ 0x43cf3bc3, "dql_completed" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x9bc20086, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x1a0146d0, "netif_set_xps_queue" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x779bf597, "__ethtool_get_link_ksettings" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0x15d85a57, "down_trylock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x78a60da5, "pci_restore_state" },
	{ 0xd1353660, "bpf_trace_run1" },
	{ 0xb94c13d6, "__inet6_lookup_established" },
	{ 0x12ef7a19, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xe11fa47, "device_del" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0x3951b76, "page_pool_create" },
	{ 0x7ca08ed2, "skb_checksum" },
	{ 0x4cee923b, "devl_param_driverinit_value_set" },
	{ 0x6a878b7c, "_dev_warn" },
	{ 0x436a1f18, "flow_rule_match_ports" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x89d01379, "irq_cpu_rmap_remove" },
	{ 0xbd43d3fd, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x704255d0, "devl_resources_unregister" },
	{ 0xe9db84a7, "ptp_clock_event" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0x79462f05, "netif_schedule_queue" },
	{ 0xaf5bd746, "__alloc_pages" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0xd08f0c24, "pci_set_master" },
	{ 0x43c7774d, "devl_trap_groups_register" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x265abb53, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5fc9cbb1, "flow_rule_match_ipv6_addrs" },
	{ 0x441c7218, "netdev_set_tc_queue" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0x40670f06, "devl_params_unregister" },
	{ 0x2f861173, "ptp_clock_unregister" },
	{ 0x9c1ba5cf, "__pskb_pull_tail" },
	{ 0xe1af66a5, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xdb130e31, "__netdev_alloc_skb" },
	{ 0x6108288f, "complete_all" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0xcaeaab2e, "devlink_trap_report" },
	{ 0x779124, "__neigh_event_send" },
	{ 0xf5e949f1, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0x868bde1d, "down_write_trylock" },
	{ 0x685cb3b5, "dev_printk_emit" },
	{ 0x103bafd6, "down_read" },
	{ 0xec5e2b15, "devl_traps_register" },
	{ 0xb4273cd3, "devl_unlock" },
	{ 0x85dbd570, "__dynamic_netdev_dbg" },
	{ 0xe798236d, "jiffies" },
	{ 0xc8dee37e, "dma_set_coherent_mask" },
	{ 0xe7ee7d0c, "__neigh_create" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xc1a0224a, "flow_rule_match_enc_control" },
	{ 0xb3b76a83, "bpf_trace_run3" },
	{ 0x6700122, "seq_read" },
	{ 0x85d14264, "trace_print_flags_seq" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xc12d1c94, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x8b5bd4f5, "debugfs_create_file" },
	{ 0xd765357c, "rps_may_expire_flow" },
	{ 0x70a3dfe2, "metadata_dst_free" },
	{ 0xe4a95266, "blocking_notifier_chain_unregister" },
	{ 0x1a73c7d, "xsk_set_tx_need_wakeup" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xae5b790a, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x98c9d31d, "netdev_reset_tc" },
	{ 0x3b801177, "neigh_destroy" },
	{ 0xd1c489de, "dma_free_attrs" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xb3084455, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x66d99b02, "debugfs_create_x32" },
	{ 0x77733c47, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x73a2ae3e, "flow_rule_match_enc_ports" },
	{ 0x3852401d, "xdp_return_frame_bulk" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2af41004, "pci_release_regions" },
	{ 0x854e30f8, "__dma_sync_single_for_device" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x2eb49a82, "bpf_prog_add" },
	{ 0x9005f3a2, "net_dim_get_def_tx_moderation" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x3dce9af4, "devl_assert_locked" },
	{ 0x3d20713f, "pcie_print_link_status" },
	{ 0x62f09241, "xp_set_rxq_info" },
	{ 0xa97314c0, "flow_rule_match_vlan" },
	{ 0xc29db3b2, "alloc_pages" },
	{ 0xd9caa7cb, "devl_port_unregister" },
	{ 0x8ffda5d8, "xdp_rxq_info_unreg" },
	{ 0x5c627527, "page_pool_alloc_pages" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x4db97933, "devl_param_driverinit_value_get" },
	{ 0xe35fb609, "kmemdup" },
	{ 0xff1ceeb4, "netdev_master_upper_dev_get_rcu" },
	{ 0x341e4535, "__folio_put" },
	{ 0xe989c3e5, "__xdp_rxq_info_reg" },
	{ 0x8f0f1236, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xba7d692b, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd882dab9, "bpf_prog_inc" },
	{ 0x31d3199b, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3b1aaf73, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9280f490, "netif_carrier_off" },
	{ 0x1e7d367a, "seq_printf" },
	{ 0x9e3d3f9a, "flow_rule_match_meta" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xe70e184a, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb1515114, "devlink_priv" },
	{ 0x2a8d82ed, "devlink_port_register_with_ops" },
	{ 0xb050209a, "pci_disable_sriov" },
	{ 0x42d32de5, "metadata_dst_alloc" },
	{ 0x6a592d36, "dst_release" },
	{ 0xd61cdf07, "netif_carrier_on" },
	{ 0x849da5a7, "netdev_set_num_tc" },
	{ 0xe6f1486d, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xd9b9dcb, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe58a19e0, "pci_disable_device" },
	{ 0x6638f664, "net_dim_get_def_rx_moderation" },
	{ 0xdc9fcddf, "net_dim_get_tx_moderation" },
	{ 0x62395dfe, "seq_puts" },
	{ 0xf9822cde, "xp_free" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0xbae2b637, "page_pool_update_nid" },
	{ 0xd4ef5875, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x8802fc0f, "dma_set_mask" },
	{ 0x753a2544, "__auxiliary_driver_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xc9d8ff63, "netif_set_tso_max_size" },
	{ 0x43fdc2a8, "vlan_dev_vlan_id" },
	{ 0x222c945c, "__skb_flow_dissect" },
	{ 0xdece502, "pci_msix_alloc_irq_at" },
	{ 0x3614c7f5, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0xcc887e36, "kmalloc_trace" },
	{ 0x543f570d, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x5ab1b395, "xp_raw_get_data" },
	{ 0xc928adb2, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x70336943, "xa_set_mark" },
	{ 0xd2becd89, "napi_schedule_prep" },
	{ 0x6eb6bd62, "qdisc_reset" },
	{ 0x5ebbbf76, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x915e6d0e, "xp_alloc_batch" },
	{ 0xea6ab596, "flow_rule_match_mpls" },
	{ 0xb719bfd5, "napi_disable" },
	{ 0xe931b212, "dev_kfree_skb_any_reason" },
	{ 0x3f8184c6, "dcb_ieee_delapp" },
	{ 0x43a7a9d7, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x462a5335, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x73d94540, "debugfs_create_u8" },
	{ 0x9ed633b7, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xdff70cf4, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xbb5685ce, "debugfs_create_dir" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0xec257c2a, "skb_ext_add" },
	{ 0xf2445fe4, "pcie_bandwidth_available" },
	{ 0x24668070, "pci_free_irq_vectors" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x5ed3cf9a, "flow_rule_match_control" },
	{ 0x1caab3ad, "flow_rule_match_ip" },
	{ 0x9769f00d, "pci_enable_sriov" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x65c1c220, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x532f29dc, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x80689256, "xsk_tx_release" },
	{ 0x9f12cd13, "devl_traps_unregister" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xddd63432, "pci_iov_get_pf_drvdata" },
	{ 0xea374504, "pci_write_config_dword" },
	{ 0xe3a3b843, "kmalloc_caches" },
	{ 0xbe29304e, "netdev_info" },
	{ 0x4024e95c, "neigh_lookup" },
	{ 0x12b7e656, "kmem_cache_destroy" },
	{ 0xa5b4d7d2, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xdbcac8ba, "module_layout" },
};

MODULE_INFO(depends, "psample,tls,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");

MODULE_INFO(srcversion, "BC5F1166C8EE944ED7E5EFC");
MODULE_INFO(rhelversion, "9.6");
