#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf1bfb166, "crypto_alloc_ahash" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x4f36af66, "vmemmap" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x3d2137e, "tls_alert_recv" },
	{ 0xeaf27089, "ip_sock_set_tos" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd5f331c4, "nvmet_req_complete" },
	{ 0xdc7436f7, "kernel_bind" },
	{ 0xf61ae119, "sock_create" },
	{ 0xb267a3f3, "tls_server_hello_psk" },
	{ 0x352cd2ef, "tls_handshake_cancel" },
	{ 0x24896b55, "tls_get_record_type" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x82cd9179, "kernel_accept" },
	{ 0x9204b34a, "kernel_recvmsg" },
	{ 0xb9d6cc0d, "sock_alloc_file" },
	{ 0x45c2bc29, "sock_set_priority" },
	{ 0x298c28c4, "crypto_destroy_tfm" },
	{ 0xe83f3677, "nvmet_sq_destroy" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x9922d543, "kernel_sendpage" },
	{ 0xbcfa009, "nvmet_unregister_transport" },
	{ 0x2de125c0, "page_frag_alloc_align" },
	{ 0xb5fbfbcb, "nvmet_req_init" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x9dccdfa2, "fput" },
	{ 0x403e0e38, "__traceiter_sk_data_ready" },
	{ 0x169d89b6, "init_net" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x5ef425de, "kernel_getpeername" },
	{ 0xc3743d42, "kernel_getsockname" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x62fc6df1, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xd5b26ac4, "nvmet_register_transport" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x7aa7fbd1, "inet_pton_with_scope" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf4c13c50, "sock_set_reuseaddr" },
	{ 0xbbc075b0, "iov_iter_bvec" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xda728eb9, "crypto_ahash_digest" },
	{ 0xe798236d, "jiffies" },
	{ 0x28cdbc90, "__page_frag_cache_drain" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x34610dec, "kernel_listen" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x85593f59, "nvmet_sq_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x34c401e9, "sock_recvmsg" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x82fabb9c, "sock_release" },
	{ 0xe2a03645, "tcp_sock_set_nodelay" },
	{ 0xe8f35378, "nvmet_ctrl_fatal_error" },
	{ 0xa52dcda6, "nvmet_req_uninit" },
	{ 0xcc887e36, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xdf5f3008, "param_ops_int" },
	{ 0x15f9f5a1, "param_get_int" },
	{ 0xe613a798, "inet_addr_is_any" },
	{ 0x98843aa0, "kernel_sendmsg" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x3e0ef07a, "nvmet_wq" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xe3a3b843, "kmalloc_caches" },
	{ 0x93dc2b6, "sock_no_linger" },
	{ 0xdbcac8ba, "module_layout" },
};

MODULE_INFO(depends, "nvmet");


MODULE_INFO(srcversion, "BF05C56014E3236DA93A839");
MODULE_INFO(rhelversion, "9.6");
