#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0xb02f1caf, "_gpl");
SYMBOL_CRC(ip_tunnel_rcv, 0x6e76da83, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0xbdab97a3, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0xb8f7519c, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0xd2640403, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x8539de4a, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0xa2870a7b, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x841b678a, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x60354bef, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0x2827d8c3, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0xec5ea9ac, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0xe50fb037, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x10a26fcf, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x3f639e24, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x7a54aef3, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0xcca1e5a7, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x9098a29b, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x27f45509, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0xfcf8ae5f, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x98915b24, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0xaa1bb139, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x25e421c8, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0xba0cd1ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfd177b22, "iptun_encaps" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xce6953ad, "icmpv6_ndo_send" },
	{ 0xd2ebcac6, "icmp_ndo_send" },
	{ 0x236c8c64, "memcpy" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa5120c9f, "alloc_netdev_mqs" },
	{ 0x85ccb780, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x84428e39, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8c6295b9, "unregister_netdevice_queue" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3d825f1c, "ip_route_output_flow" },
	{ 0x6a592d36, "dst_release" },
	{ 0xe798236d, "jiffies" },
	{ 0x89fe3a8d, "__dev_get_by_index" },
	{ 0xdba3ccce, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xe50b3381, "gro_cells_init" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x959fdad8, "netdev_state_change" },
	{ 0xd133136a, "ns_capable" },
	{ 0xf789be28, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x169d89b6, "init_net" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x523e1f9, "skb_copy_bits" },
	{ 0x9367b5d4, "sk_skb_reason_drop" },
	{ 0x71015dd5, "pskb_expand_head" },
	{ 0xae9f0fd9, "__skb_get_hash_net" },
	{ 0x87e3e627, "dst_cache_get_ip4" },
	{ 0x45e02487, "dst_cache_set_ip4" },
	{ 0x3b1c8da8, "iptunnel_xmit" },
	{ 0x9c1ba5cf, "__pskb_pull_tail" },
	{ 0x177e9cdd, "skb_scrub_packet" },
	{ 0x2395dfb3, "gro_cells_receive" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x8a6f4621, "eth_type_trans" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x3b801177, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdbcac8ba, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AB77A24DFC014DD90A5FFBF");
MODULE_INFO(rhelversion, "9.6");
