#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x4967811e, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x70ab9d0f, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x41fb430e, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0xcb2a591f, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0xcc343195, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0xb594ef5f, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x39a37c1a, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x13830ea2, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x580255c5, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0xea1a559e, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x0ede1838, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x8edf8c04, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x7a7f741d, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x78466c65, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0xa55c52cf, "");
SYMBOL_CRC(nf_nat_follow_master, 0xa7d49c66, "");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0xacfc01fa, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0xfc2910e0, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xcb4e8adf, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0xc3f2a248, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x03f65774, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xce906c, "nf_ct_ext_add" },
	{ 0x971d5223, "__do_once_done" },
	{ 0x9a704b64, "nf_conntrack_find_get" },
	{ 0xe292d8a6, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x355c3bb0, "nf_ip6_checksum" },
	{ 0x523e1f9, "skb_copy_bits" },
	{ 0xabbf303b, "nf_hook_entries_insert_raw" },
	{ 0xb35fa494, "xfrm_lookup" },
	{ 0xd495c11d, "nf_ct_seqadj_set" },
	{ 0xcbbc9eb, "skb_put" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc317b8ac, "nf_ct_helper_expectfn_unregister" },
	{ 0x8d9dbac9, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x24445b3, "nf_ct_helper_expectfn_register" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8b067b7d, "ip6_route_me_harder" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x71015dd5, "pskb_expand_head" },
	{ 0xc8e4656, "register_pernet_subsys" },
	{ 0x508912a, "nf_conntrack_tuple_taken" },
	{ 0x92997ed8, "_printk" },
	{ 0x2fb249fa, "nf_ct_iterate_cleanup_net" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7b90682d, "ipv6_skip_exthdr" },
	{ 0x6e1eb867, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xb5d2e6a4, "module_put" },
	{ 0x25850976, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xd30ee965, "nf_conntrack_alter_reply" },
	{ 0xefff005d, "ip_route_me_harder" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xaa215094, "nf_hook_entries_delete_raw" },
	{ 0xc98db7db, "skb_ensure_writable" },
	{ 0x16378331, "nf_unregister_net_hooks" },
	{ 0x33a943ee, "inet_select_addr" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x8338a317, "unregister_pernet_subsys" },
	{ 0x7ca08ed2, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x5936a6e8, "nf_ct_delete" },
	{ 0x9e90e87f, "nf_ip_checksum" },
	{ 0x183e2e4e, "register_btf_kfunc_id_set" },
	{ 0x49e0ad4a, "nf_ct_iterate_destroy" },
	{ 0x887774bc, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb6b62ff4, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2bdf930c, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xb634a12c, "inet_proto_csum_replace4" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x6a592d36, "dst_release" },
	{ 0xb741007b, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xa61ae4f0, "nf_nat_hook" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xcc887e36, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xe3a3b843, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xdbcac8ba, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "C6ABB9EE939011585D104AC");
MODULE_INFO(rhelversion, "9.6");
