#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x8e704e32, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x143de1c7, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xd3184b43, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0xf642d0cc, "");
SYMBOL_CRC(gss_mech_put, 0xa8393ff1, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xf0d6b155, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x4e0d5b4a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x36eff033, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0xe292d8a6, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4f36af66, "vmemmap" },
	{ 0x8df4fc08, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x886ae48f, "xdr_buf_from_iov" },
	{ 0x46129ddf, "bpf_trace_run4" },
	{ 0x1708ada4, "xdr_stream_decode_opaque_auth" },
	{ 0x10c9e48b, "param_ops_uint" },
	{ 0x9cf6fb6e, "xdr_write_pages" },
	{ 0x4b7e2d73, "rpc_shutdown_client" },
	{ 0x60e9d0ba, "auth_domain_find" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc789178d, "xdr_inline_decode" },
	{ 0xf04aad41, "cache_create_net" },
	{ 0xe45ec59c, "rpcauth_destroy_credcache" },
	{ 0x24ed7774, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1c9f56fa, "bpf_trace_run6" },
	{ 0xc0ddfda8, "rpc_net_ns" },
	{ 0xaf869d5d, "read_bytes_from_xdr_buf" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x5e45efdb, "rpc_wake_up" },
	{ 0x9506ee7f, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x2c66fb85, "sunrpc_cache_lookup_rcu" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x140e9d41, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x233f5316, "sprint_oid" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xc0fcbbc5, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0x9bec882a, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xe12c651b, "xdr_truncate_decode" },
	{ 0xaa98936f, "rpcauth_unregister" },
	{ 0xcc8be8b6, "event_triggers_call" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xe54bd759, "__xdr_commit_encode" },
	{ 0x50e7e5e3, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xa0396967, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xe0de4f1a, "__put_cred" },
	{ 0xc8e4656, "register_pernet_subsys" },
	{ 0x2ff4d66a, "trace_event_buffer_commit" },
	{ 0x28087056, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x1998e019, "rpc_release_client" },
	{ 0xf1f4b90c, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9220ef68, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x451f4d6a, "svc_auth_register" },
	{ 0xaebc8354, "xdr_stream_encode_opaque_auth" },
	{ 0x6a29a57e, "trace_event_ignore_this_pid" },
	{ 0x257ebecb, "make_kuid" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xe71a129, "rpc_destroy_pipe_data" },
	{ 0x63ee20e7, "__free_pages" },
	{ 0xa6c56e06, "rpc_pipe_generic_upcall" },
	{ 0xb5d2e6a4, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x6ca152ae, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc3bf0e9a, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x173c0fda, "perf_trace_run_bpf_submit" },
	{ 0x1ecc9caf, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xe6511590, "rpcauth_init_credcache" },
	{ 0x7ff7cde2, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x350d8188, "xdr_init_decode" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4cf8c827, "trace_event_reg" },
	{ 0xbcee4459, "rpc_call_null" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x835a523e, "rpc_sleep_on_timeout" },
	{ 0xf52aa9b8, "rpc_create" },
	{ 0xd1353660, "bpf_trace_run1" },
	{ 0x7765ed16, "rpc_call_sync" },
	{ 0xfc90f9ce, "from_kuid" },
	{ 0x8338a317, "unregister_pernet_subsys" },
	{ 0x70fe3be5, "rpc_queue_upcall" },
	{ 0x9937cefd, "xdr_encode_word" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xaf6ddcc3, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x4dc6870d, "svcauth_unix_set_client" },
	{ 0xf0be765f, "xdr_buf_subsegment" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0x9695ffb9, "make_kgid" },
	{ 0xa4fc5b90, "rpc_remove_pipe_dir_object" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x9381d1fd, "xdr_reserve_space" },
	{ 0xe798236d, "jiffies" },
	{ 0xc19e24fb, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb3b76a83, "bpf_trace_run3" },
	{ 0xb6b62ff4, "__put_net" },
	{ 0x8b6f8eb3, "rpc_mkpipe_dentry" },
	{ 0xe7757fcf, "rpc_mkpipe_data" },
	{ 0xba0d1396, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb3084455, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x9ee5498, "cache_register_net" },
	{ 0x4425d51c, "init_user_ns" },
	{ 0xc29db3b2, "alloc_pages" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x316e29f4, "xdr_inline_pages" },
	{ 0x341e4535, "__folio_put" },
	{ 0x1b0564c9, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x4847af87, "rpc_init_wait_queue" },
	{ 0xe2185ad1, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x71569e57, "rpc_unlink" },
	{ 0x1d8be77e, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x9fe43abb, "from_kuid_munged" },
	{ 0xcc887e36, "kmalloc_trace" },
	{ 0x256e5eac, "rpcauth_init_cred" },
	{ 0x65d66687, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x58b24c7b, "cache_destroy_net" },
	{ 0xfa57f0f2, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x390245df, "xdr_stream_pos" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xbf6d0b3b, "sunrpc_cache_update" },
	{ 0xfe9d3aea, "xdr_truncate_encode" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xbeb02308, "rpc_destroy_wait_queue" },
	{ 0xe3a3b843, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3608cfb7, "auth_domain_put" },
	{ 0x2ec12b43, "rpcauth_unwrap_resp_decode" },
	{ 0x130017fc, "rpcauth_register" },
	{ 0xdbcac8ba, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "EF1622047D5C7B998952ED2");
MODULE_INFO(rhelversion, "9.6");
